Package tigase.auth.mechanisms

# Record Class SCRAMHelper.AuthenticationData

java.lang.Object
java.lang.Record
tigase.auth.mechanisms.SCRAMHelper.AuthenticationData

Enclosing class:
  SCRAMHelper

public static record SCRAMHelper.AuthenticationData(String algorithm, byte[] storedKey, byte[] serverKey) extends Record

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `AuthenticationData(String algorithm, byte[] storedKey, byte[] serverKey)`
  Creates an instance of a `AuthenticationData` record class.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `String`
  `algorithm()`
  Returns the value of the `algorithm` record component.
  `final boolean`
  `equals(Object o)`
  Indicates whether some other object is "equal to" this one.
  `final int`
  `hashCode()`
  Returns a hash code value for this object.
  `byte[]`
  `serverKey()`
  Returns the value of the `serverKey` record component.
  `byte[]`
  `storedKey()`
  Returns the value of the `storedKey` record component.
  `final String`
  `toString()`
  Returns a string representation of this record class.

  ### Methods inherited from class java.lang.Object

  `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- ## Constructor Details

  - ### AuthenticationData

    public AuthenticationData(String algorithm, byte[] storedKey, byte[] serverKey)
    Creates an instance of a `AuthenticationData` record class.
    Parameters:
      `algorithm` - the value for the `algorithm` record component
      `storedKey` - the value for the `storedKey` record component
      `serverKey` - the value for the `serverKey` record component

- ## Method Details

  - ### toString

    public final String toString()
    Returns a string representation of this record class. The representation contains the name of the class, followed by the name and value of each of the record components.
    Specified by:
      `toString` in class `Record`
    Returns:
      a string representation of this object

  - ### hashCode

    public final int hashCode()
    Returns a hash code value for this object. The value is derived from the hash code of each of the record components.
    Specified by:
      `hashCode` in class `Record`
    Returns:
      a hash code value for this object

  - ### equals

    public final boolean equals(Object o)
    Indicates whether some other object is "equal to" this one. The objects are equal if the other object is of the same class and if all the record components are equal. All components in this record class are compared with `Objects::equals(Object,Object)`.
    Specified by:
      `equals` in class `Record`
    Parameters:
      `o` - the object with which to compare
    Returns:
      `true` if this object is the same as the `o` argument; `false` otherwise.

  - ### algorithm

    public String algorithm()
    Returns the value of the `algorithm` record component.
    Returns:
      the value of the `algorithm` record component

  - ### storedKey

    public byte[] storedKey()
    Returns the value of the `storedKey` record component.
    Returns:
      the value of the `storedKey` record component

  - ### serverKey

    public byte[] serverKey()
    Returns the value of the `serverKey` record component.
    Returns:
      the value of the `serverKey` record component